Get report variables

GET
/api/v1/reports/{id}/variables

Get a list of Qlik variables.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The unique ID of the report.

Formatuuid

Query Parameters

page?integer

Page number (1-based). Default is 1.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 50.

Formatint32
Range1 <= value <= 50
sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/variables"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "qlikAppId": "c8e142ed-5c22-4064-87da-aac893bd9e5b",      "qlikAppName": "string",      "qlikAppSpace": "string",      "qVariableId": "string"    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}